"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overlay = Overlay;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _index = require("./index");

var _context = require("./context");

var _hooks = require("../hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// This is iOS/Android only implementation. Refer Overlay.web.tsx for Web implementation
function Overlay(props) {
  const {
    isOpen,
    children,
    onClose,
    focusable = true,
    animated = true,
    mode = 'single',
    animationEntryDuration,
    animationExitDuration
  } = props;
  const {
    styles,
    isExited
  } = (0, _hooks.useAnimatedStyles)({
    animated,
    animationEntryDuration,
    animationExitDuration,
    isOpen
  });

  if (!isOpen && isExited) {
    return null;
  } // If focusable we render it in RN modal so it shifts accessibility focus


  const content = focusable && mode === 'single' ? /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: true,
    transparent: true
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [_reactNative.StyleSheet.absoluteFill, styles],
    pointerEvents: "box-none"
  }, /*#__PURE__*/_react.default.createElement(_context.OverlayContext.Provider, {
    value: {
      onClose
    }
  }, children))) : /*#__PURE__*/_react.default.createElement(_index.OverlayContainer, null, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [_reactNative.StyleSheet.absoluteFill, styles, {
      marginTop: _reactNative.StatusBar.currentHeight
    }],
    pointerEvents: "box-none"
  }, /*#__PURE__*/_react.default.createElement(_context.OverlayContext.Provider, {
    value: {
      onClose
    }
  }, children)));
  return content;
}
//# sourceMappingURL=Overlay.js.map